<div class="article-form">
  <header class="form-header mt-3">
    <h4>{{ formData ? "EDIT" : "CREATE" }} Article</h4>
    <p>Article Id</p>
  </header>

  <form [formGroup]="articleForm" (ngSubmit)="emitSubmitArticle()">
    <div class="form-group mb-3">
      <label for="exampleInputEmail1" class="form-label">Title</label>
      <input
        type="title"
        class="form-control"
        formControlName="title"
        [ngClass]="{ 'is-invalid': submitted && f['title'].errors }"
      />

      <div *ngIf="submitted && f['title'].errors" class="invalid-feedback">
        <div *ngIf="f['title'].errors.required">Title is Required.</div>
      </div>
    </div>

    <div class="form-group mb-3">
      <label for="exampleInputEmail1" class="form-label">Body</label>
      <textarea
        type="body"
        rows="4"
        class="form-control"
        formControlName="body"
        [ngClass]="{ 'is-invalid': submitted && f['body'].errors }"
      ></textarea>

      <div *ngIf="submitted && f['body'].errors" class="invalid-feedback">
        <div *ngIf="f['body'].errors.required">Body is Required.</div>
      </div>
    </div>

    <div class="d-grid d-md-flex gap-2 justify-content-md-end">
      <button type="button" class="btn btn-dark" (click)="emitHideModal()">
        Cancel
      </button>
      <button type="submit" class="btn btn-primary">Submit</button>
    </div>
  </form>
</div>
